This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 485398 - java-1.6.0-openjdk-1.6.0.0-1.0.b12.el5.2 missing pluginappletviewer
java-1.6.0-openjdk-1.6.0.0-1.0.b12.el5.2 missing pluginappletviewer
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
el5
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 05:58 EST by Matthew Swabey
Modified: 2017-04-06 06:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:30:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 3574 None None None Never

  None (edit)
Description Matthew Swabey 2009-02-13 05:58:23 EST
Description of problem:



Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1.6.0.0-1.0.b12.el5.2

How reproducible:
Always

Steps to Reproduce:
1. Install openjdk-1.6.0
2. Install openjdk-1.6.0-plugin
3. Try viewing a website with a java plugin

 
Actual results:

Error claims missing pluginappletviewer.

Expected results:

Observe plugin (within the limits of the current openjdk of course.

Additional info:

Neither the openjdk rpm or the openjdk-plugin rpm claim to have pluginappletviewer.
Comment 1 Matthew Swabey 2009-02-13 06:03:28 EST
I was a little brief here - basically openjdk-plugin depends on pluginappletviewer and for some reason it is missing from the openjdk rpm. If it can't be there because it is horribly broken then the openjdk-plugin needs to go as it won't work. The openjdk-plugin should also have pluginappletviewer included as a dep.

Matthew
Comment 2 Phil Schaffner 2009-04-20 16:10:33 EDT
Only missing from x86_64.  The i386 package has pluginappletviewer.
Comment 3 Barry Myrvold 2010-05-27 22:33:35 EDT
can confirm that plugin does not work with firefox

Here's the message on my terminal when I attempted to access a page with java

firefox
Looking for 0x7f08bfd52fb8 0x7f08bfb27200 0x7f08d1e37904 (document)
java version "1.6.0_17"
OpenJDK Runtime Environment (IcedTea6 1.7.1) (fedora-37.b17.fc13-x86_64)
OpenJDK 64-Bit Server VM (build 14.0-b16, mixed mode)
java.lang.InterruptedException: sleep interrupted
	at java.lang.Thread.sleep(Native Method)
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:733)
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:647)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:295)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:72)
** Unimplemented: IcedTeaScriptableJavaObject::invalidate 0x7f08c4271d60
** Unimplemented: IcedTeaScriptableJavaObject::deAllocate 0x7f08c4271d60
Comment 4 Fedora End Of Life 2017-04-06 06:30:23 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.